<?php

namespace Model;

use BusinessClass\Question;

abstract class Factory
{
    abstract public function create(array $results): array;

    public static function getBuiltObjects(array $results, string $type): array
    {
        $type = "\\Model\\Factory" . $type;
        return (new $type())->create($results);
    }
}
